globus_gsi_callback_constants.h(3)

NAME
globus_gsi_callback_constants.h - Globus GSI Callback.

SYNOPSIS

  Macros

#define GLOBUS_GSI_CALLBACK_VERIFY_DEPTH 100

  Enumerations

enum globus_gsi_callback_error_t { GLOBUS_GSI_CALLBACK_ERROR_SUCCESS = 0, GLOBUS_GSI_CALLBACK_ERROR_VERIFY_CRED = 1, GLOBUS_GSI_CALLBACK_ERROR_CERT_NOT_YET_VALID = 2, GLOBUS_GSI_CALLBACK_ERROR_CANT_GET_LOCAL_CA_CERT = 3, GLOBUS_GSI_CALLBACK_ERROR_CERT_HAS_EXPIRED = 4, GLOBUS_GSI_CALLBACK_ERROR_INVALID_PROXY = 5, GLOBUS_GSI_CALLBACK_ERROR_LIMITED_PROXY = 6, GLOBUS_GSI_CALLBACK_ERROR_INVALID_CRL = 7, GLOBUS_GSI_CALLBACK_ERROR_REVOKED_CERT = 8, GLOBUS_GSI_CALLBACK_ERROR_MIXING_DIFFERENT_PROXY_TYPES = 9, GLOBUS_GSI_CALLBACK_ERROR_WITH_SIGNING_POLICY = 10, GLOBUS_GSI_CALLBACK_ERROR_OLD_GAA = 11, GLOBUS_GSI_CALLBACK_ERROR_CALLBACK_DATA = 12, GLOBUS_GSI_CALLBACK_ERROR_ERRNO = 13, GLOBUS_GSI_CALLBACK_ERROR_CERT_CHAIN = 14, GLOBUS_GSI_CALLBACK_ERROR_WITH_CALLBACK_DATA_INDEX = 15, GLOBUS_GSI_CALLBACK_ERROR_PROXY_PATH_LENGTH_EXCEEDED = 16, GLOBUS_GSI_CALLBACK_ERROR_LAST = 18 }

Detailed Description

Globus GSI Callback.

Author:
    Sam Meder, Sam Lang

Macro Definition Documentation

  #define GLOBUS_GSI_CALLBACK_VERIFY_DEPTH 100
Constant passed to SSL_CTX_set_verify_depth() and SSL_set_verify_depth() to increase allowed certificate depth to 100 rather than the OpenSSL default of 9. 100 is an arbitrarily chosen large value.

Author

Generated automatically by Doxygen for globus_gsi_callback from the source code.